Creates a new work order type
Request Information
URI Parameters :
None.
Body Parameters :
job_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the job type |
string |
Required Max length: 50 |
| sales_organization_id |
Filled if specific to one organization, empty if global and can be used by all |
globally unique identifier | |
| description |
Description of the job type |
string |
Max length: 4000 |
| is_default |
Used to auto select one object when creating a jobs |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
Request Formats :
application/json, text/json
{
"id": "446aa88a-3432-4f89-a4f5-bc1e525ee20e",
"name": "sample string 2",
"sales_organization_id": "c7803027-4354-4580-974e-4131c9cbcc05",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-08-29T07:44:00.2226352+00:00",
"code": "sample string 7"
}
Response Information
Resource Description :
IHttpActionResult
job_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the job type |
string |
Required Max length: 50 |
| sales_organization_id |
Filled if specific to one organization, empty if global and can be used by all |
globally unique identifier | |
| description |
Description of the job type |
string |
Max length: 4000 |
| is_default |
Used to auto select one object when creating a jobs |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
Response Formats
application/json, text/json
{
"id": "32b52c11-6f85-4440-97f1-da2431a248fc",
"name": "sample string 2",
"sales_organization_id": "a2590549-228e-4cad-9451-08552e668ad6",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-08-29T07:44:00.2226352+00:00",
"code": "sample string 7"
}